%define channel beta
%define crname chromium-browser
%define _crdir %{_libdir}/%{crname}
%define basever 12.0.742.30
%define patchver() ([ -f %{_sourcedir}/patch-%1-%2.diff.xz ] || exit 1; xz -dc %{_sourcedir}/patch-%1-%2.diff.xz|patch -p1);

Name: chromium-browser-beta
Version: 12.0.742.53
Release: %mkrel 1
Summary: A fast webkit-based web browser
Group: Networking/WWW
License: BSD, LGPL
Source0: chromium-%{basever}.tar.xz
Source1: chromium-wrapper
Source2: chromium-browser.desktop
Source1000: patch-12.0.742.30-12.0.742.53.diff.xz
Source1001: binary-12.0.742.30-12.0.742.53.tar.xz
Patch0: chromium-12.0.742.0-skip-builder-tests.patch
Patch1: chromium-gcc46.patch
Patch2: chromium-12.0.742.9-exclude-chromeos-options.patch
Provides: %{crname}
Conflicts: chromium-browser-unstable
Conflicts: chromium-browser-stable
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: bison, flex, gtk2-devel, atk-devel, libexpat-devel, gperf
BuildRequires: libnspr-devel, libnss-devel, libalsa-devel
BuildRequires: libglib2-devel, libbzip2-devel, libz-devel, libpng-devel
BuildRequires: libjpeg-devel, libmesagl-devel, libmesaglu-devel
BuildRequires: libxscrnsaver-devel, libdbus-glib-devel, libcups-devel
BuildRequires: libgnome-keyring-devel libvpx-devel libxtst-devel
BuildRequires: libxslt-devel libxml2-devel libxt-devel libpam-devel
BuildRequires: libevent-devel libflac-devel
ExclusiveArch: i586 x86_64 armel

%description
Chromium is a browser that combines a minimal design with sophisticated
technology to make the web faster, safer, and easier.

This is the beta channel Chromium browser. From time to time stable and
complete features are moved from the unstable browser to beta. It's a
middle ground between the stable and unstable browsers, and may lack the
polish one expects from a finished product.

Note: If you are reverting from unstable to stable or beta channel, you may
experience tab crashes on startup. This crash only affects tabs restored
during the first launch due to a change in how tab state is stored.
See http://bugs.chromium.org/34688. It's always a good idea to back up
your profile before changing channels.


%prep
%setup -q -n chromium-%{basever}
%patchver 12.0.742.30 12.0.742.53
tar xvf %{_sourcedir}/binary-12.0.742.30-12.0.742.53.tar.xz

%patch0 -p1 -b .skip-builder-tests
%patch1 -p1 -b .gcc46
%patch2 -p1 -b .exclude-chromeos-options
echo "%{channel}" > build/LASTCHANGE.in

# Hard code extra version
FILE=chrome/browser/platform_util_common_linux.cc
sed -i.orig -e 's/getenv("CHROME_VERSION_EXTRA")/"%{product_vendor} %{product_version}"/' $FILE
cmp $FILE $FILE.orig && exit 1


%build
export GYP_GENERATORS=make
build/gyp_chromium --depth=. \
	-D linux_sandbox_path=%{_crdir}/chrome-sandbox \
	-D linux_sandbox_chrome_path=%{_crdir}/chrome \
	-D linux_link_gnome_keyring=0 \
	-D use_gconf=0 \
	-D werror='' \
	-D use_system_sqlite=0 \
	-D use_system_libxml=1 \
	-D use_system_zlib=1 \
	-D use_system_bzip2=1 \
	-D use_system_libpng=1 \
	-D use_system_libjpeg=1 \
	-D use_system_libevent=1 \
	-D use_system_flac=1 \
	-D use_system_vpx=0 \
	-D use_system_icu=0 \
%ifarch i586
	-D disable_sse2=1 \
	-D release_extra_cflags="-march=i586"
%endif

# Note: DON'T use system sqlite (3.7.3) -- it breaks history search

%make chrome chrome_sandbox BUILDTYPE=Release

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_crdir}/locales
mkdir -p %{buildroot}%{_crdir}/themes
mkdir -p %{buildroot}%{_mandir}/man1
install -m 755 %{_sourcedir}/chromium-wrapper %{buildroot}%{_crdir}/
install -m 755 out/Release/chrome %{buildroot}%{_crdir}/
install -m 4755 out/Release/chrome_sandbox %{buildroot}%{_crdir}/chrome-sandbox
install -m 644 out/Release/chrome.1 %{buildroot}%{_mandir}/man1/%{crname}.1
install -m 644 out/Release/chrome.pak %{buildroot}%{_crdir}/
install -m 755 out/Release/libffmpegsumo.so %{buildroot}%{_crdir}/
install -m 755 out/Release/libppGoogleNaClPluginChrome.so %{buildroot}%{_crdir}/
install -m 644 out/Release/locales/*.pak %{buildroot}%{_crdir}/locales/
install -m 644 out/Release/xdg-settings %{buildroot}%{_crdir}/
install -m 644 out/Release/resources.pak %{buildroot}%{_crdir}/
ln -s %{_crdir}/chromium-wrapper %{buildroot}%{_bindir}/%{crname}

find out/Release/resources/ -name "*.d" -exec rm {} \;
cp -r out/Release/resources %{buildroot}%{_crdir}

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{_sourcedir}/%{crname}.desktop %{buildroot}%{_datadir}/applications/

# icon
for i in 16 32 48 256; do
	mkdir -p %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
	install -m 644 chrome/app/theme/chromium/product_logo_$i.png \
		%{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{crname}.png
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{crname}
%{_crdir}/chromium-wrapper
%{_crdir}/chrome
%{_crdir}/chrome-sandbox
%{_crdir}/chrome.pak
%{_crdir}/libffmpegsumo.so
%{_crdir}/libppGoogleNaClPluginChrome.so
%{_crdir}/locales
%{_crdir}/resources.pak
%{_crdir}/resources
%{_crdir}/themes
%{_crdir}/xdg-settings
%{_mandir}/man1/%{crname}*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/%{crname}.png




%changelog
* Wed May 18 2011 tv <tv> 12.0.742.53-1.mga1
+ Revision: 99651
- new upstream release 12.0.742.53 (beta)

* Sat May 07 2011 tv <tv> 11.0.696.65-1.mga1
+ Revision: 95746
- new upstream release 11.0.696.65 (beta)

* Fri Apr 29 2011 tv <tv> 11.0.696.57-1.mga1
+ Revision: 93352
- new upstream release 11.0.696.57 (beta)
  (detailed changelog at http://goo.gl/2BU3F)

* Tue Apr 19 2011 tv <tv> 11.0.696.50-1.mga1
+ Revision: 88131
- new upstream release 11.0.696.50 (beta)
  (detailed changelog at http://goo.gl/RfLvF)

* Thu Apr 14 2011 tv <tv> 11.0.696.43-1.mga1
+ Revision: 85357
- new upstream release 11.0.696.43 (beta)
  (detailed changelog at http://goo.gl/A6U3K)
- fix build with gcc 4.6

* Wed Apr 06 2011 tv <tv> 11.0.696.34-1.mga1
+ Revision: 81002
- new upstream release 11.0.696.34 (beta)
- BuildRequires: libpam-devel libevent-devel libflac-devel

* Tue Mar 22 2011 tv <tv> 10.0.648.151-1.mga1
+ Revision: 75409
- new upstream release 10.0.648.151 (beta)
  * blacklist a small number of HTTPS certificates

* Wed Mar 16 2011 tv <tv> 10.0.648.133-1.mga1
+ Revision: 72843
- imported package chromium-browser-beta


* Sat Mar 12 2011 Claudio Matsuoka <claudio@mandriva.com> 10.0.648.133-1mdv2011.0
+ Revision: 644043
- new upstream release 10.0.648.133 (beta)
  * [CVE-2011-1290] fix memory corruption in style handling
- check presence of patch files
- apply patches correctly
- move chromium patch 10.0.648.114 from beta channel to stable
- move chromium patch 10.0.648.82 from beta channel to stable
- move chromium patch 10.0.648.127 from beta channel to stable
- move chromium patch 10.0.648.126 from beta channel to stable
- move chromium 10.0.648.45 from beta channel to stable
- move patch from beta channel to stable
- move patch from beta channel to stable
- new upstream release 10.0.648.127 (beta)
  * fix crash on "Disable individual plug-ins"
- detailed changelog at http://goo.gl/kUkEz
- new upstream release 10.0.648.126 (beta)
  * stability improvements and UI tweaks
  * known issue: [Bug 74709] Clicking "Disable individual plug-ins" in
    Options causes crash
- detailed changelog at http://goo.gl/a5rLr

* Thu Feb 24 2011 Claudio Matsuoka <claudio@mandriva.com> 10.0.648.114-3
+ Revision: 639730
+ rebuild (emptylog)

* Thu Feb 24 2011 Claudio Matsuoka <claudio@mandriva.com> 10.0.648.114-2
+ Revision: 639712
- update to upstream 10.0.648.114 (beta)
- package NaCl plugin

* Fri Feb 18 2011 Claudio Matsuoka <claudio@mandriva.com> 10.0.648.82-2
+ Revision: 638595
- new upstream 10.0.648.82 moved from unstable to beta
- move 10.0.648.82 patch from unstable to beta
- move 10.0.648.45 base tarball from unstable to beta

* Tue Feb 15 2011 Claudio Matsuoka <claudio@mandriva.com> 9.0.597.98-1
+ Revision: 637881
- package creation

